/twilio-account | Type: Application | PCID required: Yes
Tools
| Tool | Description |
|---|---|
twilio_account_create_application | Create a new application within your account |
twilio_account_create_new_key | POST /Keys.json |
twilio_account_create_new_signing_key | Create a new Signing Key for the account making the request. |
twilio_account_create_token | Create a new token for ICE servers |
twilio_account_create_usage_trigger | Create a new UsageTrigger |
twilio_account_create_validation_request | POST /OutgoingCallerIds.json |
twilio_account_delete_application | Delete the application by the specified application sid |
twilio_account_delete_connect_app | Delete an instance of a connect-app |
twilio_account_delete_key | DELETE /Keys/{Sid}.json |
twilio_account_delete_signing_key | DELETE /SigningKeys/{Sid}.json |
twilio_account_delete_usage_trigger | DELETE /Usage/Triggers/{Sid}.json |
twilio_account_fetch_account | Fetch the account specified by the provided Account Sid |
twilio_account_fetch_application | Fetch the application specified by the provided sid |
twilio_account_fetch_authorized_connect_app | Fetch an instance of an authorized-connect-app |
twilio_account_fetch_balance | Fetch the balance for an Account based on Account Sid. Balance changes may not be reflected immediately. Child accounts do not contain balance information |
twilio_account_fetch_connect_app | Fetch an instance of a connect-app |
twilio_account_fetch_key | GET /Keys/{Sid}.json |
twilio_account_fetch_notification | Fetch a notification belonging to the account used to make the request |
twilio_account_fetch_signing_key | GET /SigningKeys/{Sid}.json |
twilio_account_fetch_usage_trigger | Fetch and instance of a usage-trigger |
twilio_account_list_application | Retrieve a list of applications representing an application within the requesting account |
twilio_account_list_authorized_connect_app | Retrieve a list of authorized-connect-apps belonging to the account used to make the request |
twilio_account_list_call_event | Retrieve a list of all events for a call. |
twilio_account_list_connect_app | Retrieve a list of connect-apps belonging to the account used to make the request |
twilio_account_list_key | GET /Keys.json |
twilio_account_list_notification | Retrieve a list of notifications belonging to the account used to make the request |
twilio_account_list_signing_key | GET /SigningKeys.json |
twilio_account_list_usage_trigger | Retrieve a list of usage-triggers belonging to the account used to make the request |
twilio_account_update_account | Modify the properties of a given Account |
twilio_account_update_application | Updates the application’s properties |
twilio_account_update_connect_app | Update a connect-app with the specified parameters |
twilio_account_update_key | POST /Keys/{Sid}.json |
twilio_account_update_signing_key | POST /SigningKeys/{Sid}.json |
twilio_account_update_usage_trigger | Update an instance of a usage trigger |
twilio_account_create_application
Create a new application within your account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ApiVersion | string | No | — | The API version to use to start a new TwiML session. Can be: 2010-04-01 or 2008-08-01. The default value is the account’s default API version. |
FriendlyName | string | No | — | A descriptive string that you create to describe the new application. It can be up to 64 characters long. |
MessageStatusCallback | string | No | — | The URL we should call using a POST method to send message status information to your application. |
PublicApplicationConnectEnabled | boolean | No | — | Whether to allow other Twilio accounts to dial this applicaton using Dial verb. Can be: true or false. |
SmsFallbackMethod | string | No | — | The HTTP method we should use to call sms_fallback_url. Can be: GET or POST. |
SmsFallbackUrl | string | No | — | The URL that we should call when an error occurs while retrieving or executing the TwiML from sms_url. |
SmsMethod | string | No | — | The HTTP method we should use to call sms_url. Can be: GET or POST. |
SmsStatusCallback | string | No | — | The URL we should call using a POST method to send status information about SMS messages sent by the application. |
SmsUrl | string | No | — | The URL we should call when the phone number receives an incoming SMS message. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST. |
VoiceCallerIdLookup | boolean | No | — | Whether we should look up the caller’s caller-ID name from the CNAM database (additional charges apply). Can be: true or false. |
VoiceFallbackMethod | string | No | — | The HTTP method we should use to call voice_fallback_url. Can be: GET or POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs retrieving or executing the TwiML requested by url. |
VoiceMethod | string | No | — | The HTTP method we should use to call voice_url. Can be: GET or POST. |
VoiceUrl | string | No | — | The URL we should call when the phone number assigned to this application receives a call. |
twilio_account_create_new_key
POST /Keys.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |
twilio_account_create_new_signing_key
Create a new Signing Key for the account making the request. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |
twilio_account_create_token
Create a new token for ICE servers Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Ttl | integer | No | — | The duration in seconds for which the generated credentials are valid. The default value is 86400 (24 hours). |
twilio_account_create_usage_trigger
Create a new UsageTrigger Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CallbackMethod | string | No | — | The HTTP method we should use to call callback_url. Can be: GET or POST and the default is POST. |
CallbackUrl | string | Yes | — | The URL we should call using callback_method when the trigger fires. |
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |
Recurring | string | No | — | The frequency of a recurring UsageTrigger. Can be: daily, monthly, or yearly for recurring triggers or empty for non-recurring triggers. A trigger will only fire once during each period. Recurring times are in GMT. |
TriggerBy | string | No | — | The field in the UsageRecord resource that fires the trigger. Can be: count, usage, or price, as described in the UsageRecords documentation. |
TriggerValue | string | Yes | — | The usage value at which the trigger should fire. For convenience, you can use an offset value such as +30 to specify a trigger_value that is 30 units more than the current usage value. Be sure to urlencode a + as %2B. |
UsageCategory | string | Yes | — | The usage category that the trigger should watch. Use one of the supported usage categories for this value. |
twilio_account_create_validation_request
POST /OutgoingCallerIds.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CallDelay | integer | No | — | The number of seconds to delay before initiating the verification call. Can be an integer between 0 and 60, inclusive. The default is 0. |
Extension | string | No | — | The digits to dial after connecting the verification call. |
FriendlyName | string | No | — | A descriptive string that you create to describe the new caller ID resource. It can be up to 64 characters long. The default value is a formatted version of the phone number. |
PhoneNumber | string | Yes | — | The phone number to verify in E.164 format, which consists of a + followed by the country code and subscriber number. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information about the verification process to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST, and the default is POST. |
twilio_account_delete_application
Delete the application by the specified application sid Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Application resource to delete. |
twilio_account_delete_connect_app
Delete an instance of a connect-app Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the ConnectApp resource to fetch. |
twilio_account_delete_key
DELETE /Keys/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Key resource to delete. |
twilio_account_delete_signing_key
DELETE /SigningKeys/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The sid value |
twilio_account_delete_usage_trigger
DELETE /Usage/Triggers/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the UsageTrigger resource to delete. |
twilio_account_fetch_account
Fetch the account specified by the provided Account Sidtwilio_account_fetch_application
Fetch the application specified by the provided sid Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Application resource to fetch. |
twilio_account_fetch_authorized_connect_app
Fetch an instance of an authorized-connect-app Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
ConnectAppSid | string | Yes | — | The SID of the Connect App to fetch. |
twilio_account_fetch_balance
Fetch the balance for an Account based on Account Sid. Balance changes may not be reflected immediately. Child accounts do not contain balance informationtwilio_account_fetch_connect_app
Fetch an instance of a connect-app Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the ConnectApp resource to fetch. |
twilio_account_fetch_key
GET /Keys/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Key resource to fetch. |
twilio_account_fetch_notification
Fetch a notification belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Notification resource to fetch. |
twilio_account_fetch_signing_key
GET /SigningKeys/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The sid value |
twilio_account_fetch_usage_trigger
Fetch and instance of a usage-trigger Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the UsageTrigger resource to fetch. |
twilio_account_list_application
Retrieve a list of applications representing an application within the requesting account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
FriendlyName | string | No | — | The string that identifies the Application resources to read. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_list_authorized_connect_app
Retrieve a list of authorized-connect-apps belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_list_call_event
Retrieve a list of all events for a call. Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
CallSid | string | Yes | — | The unique SID identifier of the Call. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_list_connect_app
Retrieve a list of connect-apps belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_list_key
GET /Keys.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_list_notification
Retrieve a list of notifications belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Log | integer | No | — | Only read notifications of the specified log level. Can be: 0 to read only ERROR notifications or 1 to read only WARNING notifications. By default, all notifications are read. |
MessageDate | string | No | — | Only show notifications for the specified date, formatted as YYYY-MM-DD. You can also specify an inequality, such as <=YYYY-MM-DD for messages logged at or before midnight on a date, or >=YYYY-MM-DD for messages logged at or after midnight on a date. |
MessageDate< | string | No | — | Only show notifications for the specified date, formatted as YYYY-MM-DD. You can also specify an inequality, such as <=YYYY-MM-DD for messages logged at or before midnight on a date, or >=YYYY-MM-DD for messages logged at or after midnight on a date. |
MessageDate> | string | No | — | Only show notifications for the specified date, formatted as YYYY-MM-DD. You can also specify an inequality, such as <=YYYY-MM-DD for messages logged at or before midnight on a date, or >=YYYY-MM-DD for messages logged at or after midnight on a date. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_list_signing_key
GET /SigningKeys.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_list_usage_trigger
Retrieve a list of usage-triggers belonging to the account used to make the request Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Recurring | string | No | — | The frequency of recurring UsageTriggers to read. Can be: daily, monthly, or yearly to read recurring UsageTriggers. An empty value or a value of alltime reads non-recurring UsageTriggers. |
TriggerBy | string | No | — | The trigger field of the UsageTriggers to read. Can be: count, usage, or price as described in the UsageRecords documentation. |
UsageCategory | string | No | — | The usage category of the UsageTriggers to read. Must be a supported usage categories. |
PageSize | integer | No | — | How many resources to return in each list page. The default is 50, and the maximum is 1000. |
Page | integer | No | — | The page index. This value is simply for client state. |
PageToken | string | No | — | The page token. This is provided by the API. |
twilio_account_update_account
Modify the properties of a given Account Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
FriendlyName | string | No | — | Update the human-readable description of this Account |
Status | string | No | — | The status of this account. Usually active, but can be suspended or closed. |
twilio_account_update_application
Updates the application’s properties Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Application resource to update. |
ApiVersion | string | No | — | The API version to use to start a new TwiML session. Can be: 2010-04-01 or 2008-08-01. The default value is your account’s default API version. |
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |
MessageStatusCallback | string | No | — | The URL we should call using a POST method to send message status information to your application. |
PublicApplicationConnectEnabled | boolean | No | — | Whether to allow other Twilio accounts to dial this applicaton using Dial verb. Can be: true or false. |
SmsFallbackMethod | string | No | — | The HTTP method we should use to call sms_fallback_url. Can be: GET or POST. |
SmsFallbackUrl | string | No | — | The URL that we should call when an error occurs while retrieving or executing the TwiML from sms_url. |
SmsMethod | string | No | — | The HTTP method we should use to call sms_url. Can be: GET or POST. |
SmsStatusCallback | string | No | — | Same as message_status_callback: The URL we should call using a POST method to send status information about SMS messages sent by the application. Deprecated, included for backwards compatibility. |
SmsUrl | string | No | — | The URL we should call when the phone number receives an incoming SMS message. |
StatusCallback | string | No | — | The URL we should call using the status_callback_method to send status information to your application. |
StatusCallbackMethod | string | No | — | The HTTP method we should use to call status_callback. Can be: GET or POST. |
VoiceCallerIdLookup | boolean | No | — | Whether we should look up the caller’s caller-ID name from the CNAM database (additional charges apply). Can be: true or false. |
VoiceFallbackMethod | string | No | — | The HTTP method we should use to call voice_fallback_url. Can be: GET or POST. |
VoiceFallbackUrl | string | No | — | The URL that we should call when an error occurs retrieving or executing the TwiML requested by url. |
VoiceMethod | string | No | — | The HTTP method we should use to call voice_url. Can be: GET or POST. |
VoiceUrl | string | No | — | The URL we should call when the phone number assigned to this application receives a call. |
twilio_account_update_connect_app
Update a connect-app with the specified parameters Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the ConnectApp resource to update. |
AuthorizeRedirectUrl | string | No | — | The URL to redirect the user to after we authenticate the user and obtain authorization to access the Connect App. |
CompanyName | string | No | — | The company name to set for the Connect App. |
DeauthorizeCallbackMethod | string | No | — | The HTTP method to use when calling deauthorize_callback_url. |
DeauthorizeCallbackUrl | string | No | — | The URL to call using the deauthorize_callback_method to de-authorize the Connect App. |
Description | string | No | — | A description of the Connect App. |
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |
HomepageUrl | string | No | — | A public URL where users can obtain more information about this Connect App. |
Permissions | string[] | No | — | A comma-separated list of the permissions you will request from the users of this ConnectApp. Can include: get-all and post-all. |
twilio_account_update_key
POST /Keys/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the Key resource to update. |
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |
twilio_account_update_signing_key
POST /SigningKeys/{Sid}.json Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The sid value |
FriendlyName | string | No | — | Friendly Name |
twilio_account_update_usage_trigger
Update an instance of a usage trigger Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
Sid | string | Yes | — | The Twilio-provided string that uniquely identifies the UsageTrigger resource to update. |
CallbackMethod | string | No | — | The HTTP method we should use to call callback_url. Can be: GET or POST and the default is POST. |
CallbackUrl | string | No | — | The URL we should call using callback_method when the trigger fires. |
FriendlyName | string | No | — | A descriptive string that you create to describe the resource. It can be up to 64 characters long. |

